
apiVersion: apps/v1
kind: Deployment
metadata:
  name: bcpapp7
  labels: 
    app: bcpapp7
spec:
  replicas: 1
  selector:
    matchLabels:
      app: bcpapp7
  template:
    metadata:
      labels:
        app: bcpapp7
    spec:
      containers:
        - name: app
          image: karthickas/bcpdashboard:latest
          ports:
            - containerPort: 9097
          imagePullPolicy: Never
          env:
          - name: SPRING_DATASOURCE_URL
            value: jdbc:mysql://bcp-mysql:3306/bcp?autoReconnect=true&useSSL=false
      imagePullSecrets:
        - name: regcred
---

apiVersion: v1  
kind: Service  
metadata:  
  name: bcpapp7  
spec:
  selector:
    app: bcpapp7
  ports:
    - port: 9097
      targetPort: 9097
      nodePort: 30111
  type: NodePort
---
